## org.gnu.gdk
Class WindowState

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.WindowState

public class WindowState
extends org.gnu.glib.Flags

Field Summary
`static WindowState` `ICONIFIED`
`static WindowState` `MAXIMIZED`
`static WindowState` `STICKY`
`static WindowState` `WITHDRAWN`

Method Summary
`WindowState` `and(WindowState other)`
`static WindowState` `intern(int value)`
`WindowState` `or(WindowState other)`
`boolean` `test(WindowState other)`
`WindowState` `xor(WindowState other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WITHDRAWN

    public static final WindowState WITHDRAWN

### ICONIFIED

    public static final WindowState ICONIFIED

### MAXIMIZED

    public static final WindowState MAXIMIZED

### STICKY

    public static final WindowState STICKY

Method Detail

### intern

    public static WindowState intern(int value)

### or

    public WindowState or(WindowState other)

### and

    public WindowState and(WindowState other)

### xor

    public WindowState xor(WindowState other)

### test

    public boolean test(WindowState other)